Package com.gpudb.protocol
Class ShowResourceObjectsRequest.Options
java.lang.Object
com.gpudb.protocol.ShowResourceObjectsRequest.Options
Enclosing class:
A set of string constants for the
ShowResourceObjectsRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringstatic final StringAn expression to filter the returned objects.static final Stringstatic final StringAn integer indicating the maximum number of results to be returned, per rank, or (-1) to indicate that the maximum number of results allowed by the server should be returned.static final Stringstatic final StringSingle column to be sorted by as well as the sort direction, e.g., ‘size asc’.static final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final StringComma-separated list of tables to restrict the results to.static final Stringstatic final StringComma-separated list of tiers to query, leave blank for all tiers.
Field Details
EXPRESSION
An expression to filter the returned objects. Expression is limited to the following operators: =,!=,<,<=,>,>=,+,-,*,AND,OR,LIKE. For details see Expressions. To use a more complex expression, query the ki_catalog.ki_tiered_objects table directly.See Also:ORDER_BY
Single column to be sorted by as well as the sort direction, e.g., ‘size asc’. Supported values:See Also:LIMIT
An integer indicating the maximum number of results to be returned, per rank, or (-1) to indicate that the maximum number of results allowed by the server should be returned. The number of records returned will never exceed the server’s own limit, defined by the max_get_records_size parameter in the server configuration. The default value is ‘100’.See Also: